/*
 *  TOPPERS Software
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2003-2004 by Naoki Saito
 *             Nagoya Municipal Industrial Research Institute, JAPAN
 *  Copyright (C) 2003-2004 by Platform Development Center
 *                                          RICOH COMPANY,LTD. JAPAN
 *  Copyright (C) 2008-2010 by Witz Corporation, JAPAN
 * 
 *  L쌠҂́Cȉ(1)`(4)̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEE
 *  ρEĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 *      ܂C{\tgEFÃ[U܂̓Gh[ÛȂ闝
 *      RɊÂCL쌠҂TOPPERSvWFNg
 *      Ɛӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړI
 *  ɑ΂K܂߂āCȂۏ؂sȂD܂C{\tgEF
 *  A̗pɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC
 *  ̐ӔC𕉂ȂD
 * 
 */

/*
 *  t_stddef.h̃^[QbgˑiGR-SAKURApj
 *
 *  ̃CN[ht@ĆCt_stddef.h̐擪ŃCN[hD
 *  ̃t@C͒ڃCN[h邱Ƃ͂ȂD̃CN[h
 *  t@Cɐ旧ď邽߁C̃CN[ht@CɈˑ
 *  Ă͂ȂȂD
 */

#ifndef TOPPERS_TARGET_STDDEF_H
#define TOPPERS_TARGET_STDDEF_H

/*
 *  ^[Qbgʂ邽߂̃}N̒`
 */
#define TOPPERS_GRSAKURA			/* VXe */


#ifdef __RX
/*
 *  JŋʂȒ`
 */
/*#define TOPPERS_STDINT_TYPE1*/
#include "ccrx/tool_stddef.h"


/*
 *  vZbTŋʂȒ`
 */
#include "rx630_ccrx/prc_stddef.h"
#else /* __RX */
/*
 *  JŋʂȒ`
 */
#include <stdint.h>
#include "msvc/tool_stddef.h"

/*
 *  vZbTŋʂȒ`
 */
#include "rx630_msvc/prc_stddef.h"

#define __evenaccess
#endif /* __RX */

/*
 *  AT[V̎s̎sf
 */
#ifndef TOPPERS_MACRO_ONLY

#ifdef __RX
Inline void
TOPPERS_assert_abort( void )
{
}
#else /* __RX */
extern void TOPPERS_assert_abort( void );
#endif /* __RX */

#endif /* TOPPERS_MACRO_ONLY */

#endif /* TOPPERS_TARGET_STDDEF_H */
